# POST /api/v1/quickbooks/webhooks

> QuickBooks webhook

- **Tag:** quickbooks
- **Operation ID:** `quickbooks_webhook`

## Description

Receive Intuit QuickBooks Online change notifications (legacy eventNotifications or CloudEvents). Verifies intuit-signature, stores each entity change and starts the inbound sync for every affected business. 401 on a bad signature, 503 when webhooks are not configured or the delivery could not be stored (Intuit retries).

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Responses

### 201 — Successful Response

## Code samples

### cURL

```bash
curl -X POST 'https://api.ondayzero.com/api/v1/quickbooks/webhooks' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/quickbooks/webhooks', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.post("https://api.ondayzero.com/api/v1/quickbooks/webhooks", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/quickbooks/quickbooks-webhook
- OpenAPI slice: https://www.ondayzero.com/docs/reference/quickbooks/quickbooks-webhook/openapi.json
- Other endpoints in **quickbooks**: https://www.ondayzero.com/docs/reference/quickbooks (markdown bundle: https://www.ondayzero.com/docs/reference/quickbooks.md, OpenAPI: https://www.ondayzero.com/docs/reference/quickbooks/openapi.json)
- Endpoint catalog: https://www.ondayzero.com/docs/reference/index.md
